import { MockMethod } from 'vite-plugin-mock';
import { mock, Random } from 'mockjs';
import { resultPageSuccess } from '../_util';
Random.extend({
  phone: function () {
    const phonePrefixs = ['132', '135', '189']; // 自己写前缀哈
    return this.pick(phonePrefixs) + mock(/\d{8}/); //Number()
  },
});
// console.log(Random.phone());
// 生成 1 - 10 个 随机手机号码

const demoList = (() => {
  const result: any[] = [];
  for (let index = 0; index < 200; index++) {
    const { phone } = mock({
      phone: '@phone',
    });

    result.push({
      id: `${index}`,
      name: '@cname',
      company: '@ctitle(3,8)有限公司',
      phone: phone,
      'status|1': [0, 1],
      'role|1': [0, 1],
      createTime: '@datetime',
    });
  }
  return result;
})();

export default [
  {
    url: '/basic-api/zfb/staff/list',
    timeout: 1000,
    method: 'get',
    response: ({ query }) => {
      const { page = 1, pageSize = 20 } = query;
      return resultPageSuccess(page, pageSize, demoList);
    },
  },
] as MockMethod[];
